commit:     3d68ae0334b10d42f6bc78ef5190bd71ad5c5ebc
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 17 15:43:26 2020 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Apr 17 15:43:47 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d68ae03

app-admin/ansible: 2.9.7 bump

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 app-admin/ansible/Manifest             |  1 +
 app-admin/ansible/ansible-2.9.7.ebuild | 68 ++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/app-admin/ansible/Manifest b/app-admin/ansible/Manifest
index ff38d4229bf..0fd72cddf00 100644
--- a/app-admin/ansible/Manifest
+++ b/app-admin/ansible/Manifest
@@ -1 +1,2 @@
 DIST ansible-2.9.6.tar.gz 14201258 BLAKE2B 
29da78035291a252f215a49945e82d9f3598a91c9c8993c69623668e9f8a667882330d51c75e1ae27ee5242f4a6320ee947af338c4c38e23f4f9d04cf19364ca
 SHA512 
7111fd72b4e029b2f661bfb849b4323b69ea796f8a069ad3120e8de390effa670180c69ca0fd5e0a1c2e444db6d574a52d530a2b0343c76cd81ba963b3c3a7cb
+DIST ansible-2.9.7.tar.gz 14215538 BLAKE2B 
b3882c359d0e71446c81b4f4592a08447656c22ed70358d7eddf36f4a84811d97f047afcdfd57f67664a130cee5c1231a106fc5b77b52cfab8b1be868ee03f81
 SHA512 
ce029441bcafdc5b44c9fda69f183d4defea84ead5628164caf87306cb97efec68c11b2cce728e90f28290640c320549486a6b4e823710f638d1d2e7c35675a4

diff --git a/app-admin/ansible/ansible-2.9.7.ebuild 
b/app-admin/ansible/ansible-2.9.7.ebuild
new file mode 100644
index 00000000000..8c8b3a94804
--- /dev/null
+++ b/app-admin/ansible/ansible-2.9.7.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Model-driven deployment, config management, and command execution 
framework"
+HOMEPAGE="https://ansible.com/";
+SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
+IUSE="doc test"
+RESTRICT="test"
+
+RDEPEND="
+       dev-python/paramiko[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/httplib2[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/netaddr[${PYTHON_USEDEP}]
+       dev-python/pexpect[${PYTHON_USEDEP}]
+       net-misc/sshpass
+       virtual/ssh
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/packaging-16.6[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx-notfound-page[${PYTHON_USEDEP}]
+               >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${RDEPEND}
+               dev-python/nose[${PYTHON_USEDEP}]
+               >=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+               dev-python/passlib[${PYTHON_USEDEP}]
+               dev-python/coverage[${PYTHON_USEDEP}]
+               dev-python/unittest2[${PYTHON_USEDEP}]
+               dev-vcs/git
+       )"
+
+python_compile_all() {
+       if use doc; then
+               cd docs/docsite || die
+               export CPUS=4
+               emake -f Makefile.sphinx html
+       fi
+}
+
+python_test() {
+       nosetests -d -w test/units -v --with-coverage --cover-package=ansible 
--cover-branches || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
+       distutils-r1_python_install_all
+
+       dodoc -r examples
+}

Reply via email to